Package org.linphone.core

# Enum Class Tunnel.Mode

java.lang.Object
java.lang.Enum<Tunnel.Mode>
org.linphone.core.Tunnel.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<Tunnel.Mode>`, `Constable`

Enclosing interface:
  Tunnel

public static enum Tunnel.Mode extends Enum<Tunnel.Mode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Auto`
The tunnel is enabled automatically if it is required.
`Disable`
The tunnel is disabled.
`Enable`
The tunnel is enabled.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Tunnel.Mode`
`fromInt(int value)`
`int`
`toInt()`
`static Tunnel.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Tunnel.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Disable

public static final Tunnel.Mode Disable
The tunnel is disabled.

### Enable

public static final Tunnel.Mode Enable
The tunnel is enabled.

### Auto

public static final Tunnel.Mode Auto
The tunnel is enabled automatically if it is required.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Tunnel.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Tunnel.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Tunnel.Mode fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()